Package com.pixelmed.network

# Class ProbeCapability.StringPermutationGenerator

java.lang.Object
com.pixelmed.network.ProbeCapability.StringPermutationGenerator

Enclosing class:
  ProbeCapability

protected class ProbeCapability.StringPermutationGenerator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`done`
`protected final char[]`
`firstCharacterPossibilities`
`protected final int[]`
`indicesIntoCharacterPossibilities`
`protected final int`
`maximumFirstCharacterIndex`
`protected final int`
`maximumLength`
`protected final int`
`maximumSubsequentCharacterIndex`
`protected final char[]`
`subsequentCharacterPossibilities`

## Constructor Summary

Constructors
Constructor
Description
`StringPermutationGenerator(char[] firstCharacterPossibilities, char[] subsequentCharacterPossibilities, int maximumLength)`

## Method Summary

Modifier and Type
Method
Description
`String`
`next()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### firstCharacterPossibilities

protected final char[] firstCharacterPossibilities

### subsequentCharacterPossibilities

protected final char[] subsequentCharacterPossibilities

### maximumLength

protected final int maximumLength

### indicesIntoCharacterPossibilities

protected final int[] indicesIntoCharacterPossibilities

### maximumFirstCharacterIndex

protected final int maximumFirstCharacterIndex

### maximumSubsequentCharacterIndex

protected final int maximumSubsequentCharacterIndex

### done

protected boolean done

## Constructor Details

### StringPermutationGenerator

public StringPermutationGenerator(char[] firstCharacterPossibilities, char[] subsequentCharacterPossibilities, int maximumLength)

## Method Details

### next

public String next()